
all: $(OBJ)
	cd src/ ; make all
	gcc -dynamiclib -multiply_defined suppress objs/*.o -o mallocdeb.dynlib

distclean: clean
	-rm -rf mallocdeb.dynlib

clean:
	-rm -rf objs/*.o

dist: distclean
	echo MallocDebLib.tgz > skipfile
	echo "skipfile" >> skipfile
	cd .. && tar -X MallocDebLib/skipfile -czvf MallocDebLib/MallocDebLib.tgz MallocDebLib
	rm -rf skipfile